<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.3.1"/>
<title>Capacitive Touch Library: C:/USERDATA/MSP430/GIT/capacitive-touch-sensing-library/Library/CTS_HAL.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Capacitive Touch Library
   &#160;<span id="projectnumber">1.3</span>
   </div>
   <div id="projectbrief">Description of the Capacitive Touch Library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.3.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_2819f17ffd536c76baa6d22c695599c9.html">GIT</a></li><li class="navelem"><a class="el" href="dir_cfb79c94276bf2684d56c3a3297b6d33.html">capacitive-touch-sensing-library</a></li><li class="navelem"><a class="el" href="dir_ccd6b8a5aceb8f839b9ec468e03976d2.html">Library</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">CTS_HAL.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains the source for the different implementations.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gac5ca058c1f56b681af632dc9060aa26c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gac5ca058c1f56b681af632dc9060aa26c">TI_CTS_RO_COMPB_TB0_WDTA_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gac5ca058c1f56b681af632dc9060aa26c"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompB, TimerB0, and WDTA.  <a href="group___c_t_s___h_a_l.html#gac5ca058c1f56b681af632dc9060aa26c">More...</a><br/></td></tr>
<tr class="separator:gac5ca058c1f56b681af632dc9060aa26c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9d5435f6d98f72c6b906a83113d94830"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga9d5435f6d98f72c6b906a83113d94830">TI_CTS_fRO_CSIO_TA2_TA3_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga9d5435f6d98f72c6b906a83113d94830"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO using Capacitive Touch IO, TimerA2, and TimerA3  <a href="group___c_t_s___h_a_l.html#ga9d5435f6d98f72c6b906a83113d94830">More...</a><br/></td></tr>
<tr class="separator:ga9d5435f6d98f72c6b906a83113d94830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7522beb39d941827a07d8059d8e44c7a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga7522beb39d941827a07d8059d8e44c7a">TI_CTS_RO_CSIO_TA2_TA3_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga7522beb39d941827a07d8059d8e44c7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method using Capacitive Touch IO, TimerA2, and TimerA3.  <a href="group___c_t_s___h_a_l.html#ga7522beb39d941827a07d8059d8e44c7a">More...</a><br/></td></tr>
<tr class="separator:ga7522beb39d941827a07d8059d8e44c7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga951edcccb3f14672f56e7aa3750bf1e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga951edcccb3f14672f56e7aa3750bf1e3">TI_CTS_RO_CSIO_TA2_WDTA_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga951edcccb3f14672f56e7aa3750bf1e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method measurement using Capacitive Touch IO, TimerA2, and WDTA.  <a href="group___c_t_s___h_a_l.html#ga951edcccb3f14672f56e7aa3750bf1e3">More...</a><br/></td></tr>
<tr class="separator:ga951edcccb3f14672f56e7aa3750bf1e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaed08f7ccdcff72718ef726dfe3c95a38"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gaed08f7ccdcff72718ef726dfe3c95a38">TI_CTS_RO_CSIO_TA0_WDTA_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gaed08f7ccdcff72718ef726dfe3c95a38"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method measurement using Capacitive Touch IO, TimerA0, and WDTA.  <a href="group___c_t_s___h_a_l.html#gaed08f7ccdcff72718ef726dfe3c95a38">More...</a><br/></td></tr>
<tr class="separator:gaed08f7ccdcff72718ef726dfe3c95a38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga198af7f2c2f357690661c2496b52d62a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga198af7f2c2f357690661c2496b52d62a">TI_CTS_fRO_PINOSC_TA0_TA1_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga198af7f2c2f357690661c2496b52d62a"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capacitance measurement using PinOsc IO, TimerA0, and TimerA1  <a href="group___c_t_s___h_a_l.html#ga198af7f2c2f357690661c2496b52d62a">More...</a><br/></td></tr>
<tr class="separator:ga198af7f2c2f357690661c2496b52d62a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae0b030cf02a975082e5ecd0c1b88b6f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gae0b030cf02a975082e5ecd0c1b88b6f4">TI_CTS_RO_PINOSC_TA0_TA1_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gae0b030cf02a975082e5ecd0c1b88b6f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capacitance measurement using PinOsc IO, TimerA0, and TimerA1.  <a href="group___c_t_s___h_a_l.html#gae0b030cf02a975082e5ecd0c1b88b6f4">More...</a><br/></td></tr>
<tr class="separator:gae0b030cf02a975082e5ecd0c1b88b6f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e922082dd8bd1e8ee35c434e5265db0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga1e922082dd8bd1e8ee35c434e5265db0">TI_CTS_RO_COMPAp_TA0_WDTp_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga1e922082dd8bd1e8ee35c434e5265db0"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompA+, TimerA0, and WDT+.  <a href="group___c_t_s___h_a_l.html#ga1e922082dd8bd1e8ee35c434e5265db0">More...</a><br/></td></tr>
<tr class="separator:ga1e922082dd8bd1e8ee35c434e5265db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae446a3b4b4fae9ddc310f16c6e35dd0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gae446a3b4b4fae9ddc310f16c6e35dd0c">TI_CTS_fRO_COMPAp_TA0_SW_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gae446a3b4b4fae9ddc310f16c6e35dd0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompA+, TimerA0, and SW loop.  <a href="group___c_t_s___h_a_l.html#gae446a3b4b4fae9ddc310f16c6e35dd0c">More...</a><br/></td></tr>
<tr class="separator:gae446a3b4b4fae9ddc310f16c6e35dd0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac90353a892fa46f4a54fc3487a76d196"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gac90353a892fa46f4a54fc3487a76d196">TI_CTS_fRO_COMPAp_SW_TA0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gac90353a892fa46f4a54fc3487a76d196"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompA+, TimerA0, and SW loop.  <a href="group___c_t_s___h_a_l.html#gac90353a892fa46f4a54fc3487a76d196">More...</a><br/></td></tr>
<tr class="separator:gac90353a892fa46f4a54fc3487a76d196"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee3d2cb350367c310559a21c180100c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gaee3d2cb350367c310559a21c180100c8">TI_CTS_RO_COMPAp_TA1_WDTp_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gaee3d2cb350367c310559a21c180100c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompA+, TimerA1, and WDT+.  <a href="group___c_t_s___h_a_l.html#gaee3d2cb350367c310559a21c180100c8">More...</a><br/></td></tr>
<tr class="separator:gaee3d2cb350367c310559a21c180100c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd32d26d0dbba19e236eb162d38bb06e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gabd32d26d0dbba19e236eb162d38bb06e">TI_CTS_fRO_COMPAp_TA1_SW_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gabd32d26d0dbba19e236eb162d38bb06e"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompA+, TimerA1, and SW loop.  <a href="group___c_t_s___h_a_l.html#gabd32d26d0dbba19e236eb162d38bb06e">More...</a><br/></td></tr>
<tr class="separator:gabd32d26d0dbba19e236eb162d38bb06e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5d6149207b74131b4bc392f365b612d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gae5d6149207b74131b4bc392f365b612d">TI_CTS_RC_PAIR_TA0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gae5d6149207b74131b4bc392f365b612d"><td class="mdescLeft">&#160;</td><td class="mdescRight">RC method capactiance measurement using a Pair of GPIO and TimerA0.  <a href="group___c_t_s___h_a_l.html#gae5d6149207b74131b4bc392f365b612d">More...</a><br/></td></tr>
<tr class="separator:gae5d6149207b74131b4bc392f365b612d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef59e8c06155f1c43cae244b18251de6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gaef59e8c06155f1c43cae244b18251de6">TI_CTS_fRO_PINOSC_TA0_SW_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gaef59e8c06155f1c43cae244b18251de6"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capactiance measurement using the PinOsc and TimerA0  <a href="group___c_t_s___h_a_l.html#gaef59e8c06155f1c43cae244b18251de6">More...</a><br/></td></tr>
<tr class="separator:gaef59e8c06155f1c43cae244b18251de6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8fe59002f5e6fa5d5448164bd8e550a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga8fe59002f5e6fa5d5448164bd8e550a2">TI_CTS_RO_PINOSC_TA0_WDTp_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga8fe59002f5e6fa5d5448164bd8e550a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement with PinOsc IO, TimerA0, and WDT+.  <a href="group___c_t_s___h_a_l.html#ga8fe59002f5e6fa5d5448164bd8e550a2">More...</a><br/></td></tr>
<tr class="separator:ga8fe59002f5e6fa5d5448164bd8e550a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72b6da76104eada779668088564a8430"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga72b6da76104eada779668088564a8430">TI_CTS_RO_PINOSC_TA0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga72b6da76104eada779668088564a8430"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using PinOsc IO, and TimerA0.  <a href="group___c_t_s___h_a_l.html#ga72b6da76104eada779668088564a8430">More...</a><br/></td></tr>
<tr class="separator:ga72b6da76104eada779668088564a8430"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a5684462a99c2dd499a184c126eacc5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga0a5684462a99c2dd499a184c126eacc5">TI_CTS_RO_COMPB_TA0_WDTA_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga0a5684462a99c2dd499a184c126eacc5"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompB, TimerA0, and WDTA.  <a href="group___c_t_s___h_a_l.html#ga0a5684462a99c2dd499a184c126eacc5">More...</a><br/></td></tr>
<tr class="separator:ga0a5684462a99c2dd499a184c126eacc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafad1fba2a8f584332550236d679e4a12"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gafad1fba2a8f584332550236d679e4a12">TI_CTS_RO_COMPB_TA1_WDTA_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gafad1fba2a8f584332550236d679e4a12"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement using CompB, TimerA1, and WDTA.  <a href="group___c_t_s___h_a_l.html#gafad1fba2a8f584332550236d679e4a12">More...</a><br/></td></tr>
<tr class="separator:gafad1fba2a8f584332550236d679e4a12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaecc13948e866886f87d75b4392adce3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gaecc13948e866886f87d75b4392adce3c">TI_CTS_fRO_COMPB_TA0_SW_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gaecc13948e866886f87d75b4392adce3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capactiance measurement using CompB, TimerA0  <a href="group___c_t_s___h_a_l.html#gaecc13948e866886f87d75b4392adce3c">More...</a><br/></td></tr>
<tr class="separator:gaecc13948e866886f87d75b4392adce3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad5db4618e5f80cd423eaad099e82a4c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gad5db4618e5f80cd423eaad099e82a4c5">TI_CTS_fRO_COMPB_TA1_SW_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gad5db4618e5f80cd423eaad099e82a4c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capactiance measurement using CompB, TimerA1  <a href="group___c_t_s___h_a_l.html#gad5db4618e5f80cd423eaad099e82a4c5">More...</a><br/></td></tr>
<tr class="separator:gad5db4618e5f80cd423eaad099e82a4c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga180bbc0acf64fed77ac962e2a989ceee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga180bbc0acf64fed77ac962e2a989ceee">TI_CTS_RO_COMPB_TA1_TA0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga180bbc0acf64fed77ac962e2a989ceee"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capacitance measurement using CompB, TimerA1, and TimerA0.  <a href="group___c_t_s___h_a_l.html#ga180bbc0acf64fed77ac962e2a989ceee">More...</a><br/></td></tr>
<tr class="separator:ga180bbc0acf64fed77ac962e2a989ceee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaca957bcc29dbe5db613faa04efaf5c8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gaaca957bcc29dbe5db613faa04efaf5c8">TI_CTS_fRO_COMPB_TA1_TA0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gaaca957bcc29dbe5db613faa04efaf5c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capacitance measurement using CompB, TimerA1, and TimerA0  <a href="group___c_t_s___h_a_l.html#gaaca957bcc29dbe5db613faa04efaf5c8">More...</a><br/></td></tr>
<tr class="separator:gaaca957bcc29dbe5db613faa04efaf5c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd56476988d2eb8c1991ff5001f7dbc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gacd56476988d2eb8c1991ff5001f7dbc9">TI_CTS_RO_PINOSC_TA1_WDTp_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gacd56476988d2eb8c1991ff5001f7dbc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capactiance measurement with PinOsc IO, TimerA1, and WDT+.  <a href="group___c_t_s___h_a_l.html#gacd56476988d2eb8c1991ff5001f7dbc9">More...</a><br/></td></tr>
<tr class="separator:gacd56476988d2eb8c1991ff5001f7dbc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5575d856074b83cbb06ed70072ec032c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga5575d856074b83cbb06ed70072ec032c">TI_CTS_RO_PINOSC_TA1_TB0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga5575d856074b83cbb06ed70072ec032c"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method capacitance measurement using PinOsc IO, TimerA1, and TimerB0.  <a href="group___c_t_s___h_a_l.html#ga5575d856074b83cbb06ed70072ec032c">More...</a><br/></td></tr>
<tr class="separator:ga5575d856074b83cbb06ed70072ec032c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92dbda4559afc51ad317316f5f36fd98"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga92dbda4559afc51ad317316f5f36fd98">TI_CTS_fRO_PINOSC_TA1_TA0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga92dbda4559afc51ad317316f5f36fd98"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capacitance measurement using PinOsc IO, TimerA1, and TimerA0  <a href="group___c_t_s___h_a_l.html#ga92dbda4559afc51ad317316f5f36fd98">More...</a><br/></td></tr>
<tr class="separator:ga92dbda4559afc51ad317316f5f36fd98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab69f22463ae05330671c99a4e20e611f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gab69f22463ae05330671c99a4e20e611f">TI_CTS_fRO_PINOSC_TA1_TB0_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gab69f22463ae05330671c99a4e20e611f"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capacitance measurement using PinOsc IO, TimerA1, and TimerB0  <a href="group___c_t_s___h_a_l.html#gab69f22463ae05330671c99a4e20e611f">More...</a><br/></td></tr>
<tr class="separator:gab69f22463ae05330671c99a4e20e611f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac615ce38214fa0dae69e910edb02e19b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gac615ce38214fa0dae69e910edb02e19b">TI_CTS_RO_CSIO_TA0_TA1_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gac615ce38214fa0dae69e910edb02e19b"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method using Capacitive Touch IO, TimerA0, and TimerA1.  <a href="group___c_t_s___h_a_l.html#gac615ce38214fa0dae69e910edb02e19b">More...</a><br/></td></tr>
<tr class="separator:gac615ce38214fa0dae69e910edb02e19b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaac0da43a150eb2b1e058fdd08897e0e7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gaac0da43a150eb2b1e058fdd08897e0e7">TI_CTS_fRO_CSIO_TA0_TA1_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gaac0da43a150eb2b1e058fdd08897e0e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method using Capacitive Touch IO, TimerA0, and TimerA1  <a href="group___c_t_s___h_a_l.html#gaac0da43a150eb2b1e058fdd08897e0e7">More...</a><br/></td></tr>
<tr class="separator:gaac0da43a150eb2b1e058fdd08897e0e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3757b5d08b7ba3f94ea4e38e4234f0be"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#ga3757b5d08b7ba3f94ea4e38e4234f0be">TI_CTS_fRO_CSIO_TA0_SW_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:ga3757b5d08b7ba3f94ea4e38e4234f0be"><td class="mdescLeft">&#160;</td><td class="mdescRight">fRO method capactiance measurement using the CSIO and TimerA0  <a href="group___c_t_s___h_a_l.html#ga3757b5d08b7ba3f94ea4e38e4234f0be">More...</a><br/></td></tr>
<tr class="separator:ga3757b5d08b7ba3f94ea4e38e4234f0be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab7e26be9965fa3134d27d1070730488"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___c_t_s___h_a_l.html#gaab7e26be9965fa3134d27d1070730488">TI_CTS_RO_CSIO_TA0_RTC_HAL</a> (const struct Sensor *group, uint16_t *counts)</td></tr>
<tr class="memdesc:gaab7e26be9965fa3134d27d1070730488"><td class="mdescLeft">&#160;</td><td class="mdescRight">RO method measurement using Capacitive Touch IO, TimerA0, and RTC.  <a href="group___c_t_s___h_a_l.html#gaab7e26be9965fa3134d27d1070730488">More...</a><br/></td></tr>
<tr class="separator:gaab7e26be9965fa3134d27d1070730488"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac6e80bdf33b7d96bf2ed52ecbf08423a"><td class="memItemLeft" align="right" valign="top">__interrupt void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i_s_r___g_r_o_u_p.html#gac6e80bdf33b7d96bf2ed52ecbf08423a">watchdog_timer</a> (void)</td></tr>
<tr class="memdesc:gac6e80bdf33b7d96bf2ed52ecbf08423a"><td class="mdescLeft">&#160;</td><td class="mdescRight">WDT_ISR.  <a href="group___i_s_r___g_r_o_u_p.html#gac6e80bdf33b7d96bf2ed52ecbf08423a">More...</a><br/></td></tr>
<tr class="separator:gac6e80bdf33b7d96bf2ed52ecbf08423a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07e56f6af2e1fdb5068d192bf8ce5d30"><td class="memItemLeft" align="right" valign="top">__interrupt void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i_s_r___g_r_o_u_p.html#ga07e56f6af2e1fdb5068d192bf8ce5d30">TIMER0_A0_ISR</a> (void)</td></tr>
<tr class="memdesc:ga07e56f6af2e1fdb5068d192bf8ce5d30"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER0_A0_ISR.  <a href="group___i_s_r___g_r_o_u_p.html#ga07e56f6af2e1fdb5068d192bf8ce5d30">More...</a><br/></td></tr>
<tr class="separator:ga07e56f6af2e1fdb5068d192bf8ce5d30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga496597a35c81ce34add3777829ed6d2b"><td class="memItemLeft" align="right" valign="top">__interrupt void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i_s_r___g_r_o_u_p.html#ga496597a35c81ce34add3777829ed6d2b">TIMER1_A0_ISR</a> (void)</td></tr>
<tr class="memdesc:ga496597a35c81ce34add3777829ed6d2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER1_A0_ISR.  <a href="group___i_s_r___g_r_o_u_p.html#ga496597a35c81ce34add3777829ed6d2b">More...</a><br/></td></tr>
<tr class="separator:ga496597a35c81ce34add3777829ed6d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga46eabdb8caf8fb07fd29d6671c3af63b"><td class="memItemLeft" align="right" valign="top">__interrupt void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i_s_r___g_r_o_u_p.html#ga46eabdb8caf8fb07fd29d6671c3af63b">TIMER2_A0_ISR</a> (void)</td></tr>
<tr class="memdesc:ga46eabdb8caf8fb07fd29d6671c3af63b"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER2_A0_ISR.  <a href="group___i_s_r___g_r_o_u_p.html#ga46eabdb8caf8fb07fd29d6671c3af63b">More...</a><br/></td></tr>
<tr class="separator:ga46eabdb8caf8fb07fd29d6671c3af63b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacccc195c2ddcbf5499d5d0f55dd043e7"><td class="memItemLeft" align="right" valign="top">__interrupt void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i_s_r___g_r_o_u_p.html#gacccc195c2ddcbf5499d5d0f55dd043e7">TIMER3_A0_ISR</a> (void)</td></tr>
<tr class="memdesc:gacccc195c2ddcbf5499d5d0f55dd043e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER3_A0_ISR.  <a href="group___i_s_r___g_r_o_u_p.html#gacccc195c2ddcbf5499d5d0f55dd043e7">More...</a><br/></td></tr>
<tr class="separator:gacccc195c2ddcbf5499d5d0f55dd043e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78d1aa50c2b3b7f61cb71a152d67dc44"><td class="memItemLeft" align="right" valign="top">__interrupt void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i_s_r___g_r_o_u_p.html#ga78d1aa50c2b3b7f61cb71a152d67dc44">TIMERB0_ISR</a> (void)</td></tr>
<tr class="memdesc:ga78d1aa50c2b3b7f61cb71a152d67dc44"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER0_B0_ISR.  <a href="group___i_s_r___g_r_o_u_p.html#ga78d1aa50c2b3b7f61cb71a152d67dc44">More...</a><br/></td></tr>
<tr class="separator:ga78d1aa50c2b3b7f61cb71a152d67dc44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a7b6bd89d74368e99f40b115c5d0d0e"><td class="memItemLeft" align="right" valign="top">__interrupt void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___i_s_r___g_r_o_u_p.html#ga0a7b6bd89d74368e99f40b115c5d0d0e">rtc_timer</a> (void)</td></tr>
<tr class="memdesc:ga0a7b6bd89d74368e99f40b115c5d0d0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">WDT_ISR.  <a href="group___i_s_r___g_r_o_u_p.html#ga0a7b6bd89d74368e99f40b115c5d0d0e">More...</a><br/></td></tr>
<tr class="separator:ga0a7b6bd89d74368e99f40b115c5d0d0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains the source for the different implementations. </p>
<dl class="section user"><dt>Project:</dt><dd>MSP430 Capacitive Touch Library</dd></dl>
<dl class="section user"><dt>Developed using:</dt><dd>CCS Version : 5.2.1.00018, w/support for GCC extensions (&ndash;gcc) /n IAR Version : 5.51.2 [Kickstart]</dd></dl>
<dl class="section author"><dt>Author</dt><dd>C. Sterzik </dd>
<dd>
T. Hwang </dd>
<dd>
E. Fu</dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.3 Added HALs for new devices.</dd></dl>
<dl class="section user"><dt>Supported Hardware Implementations:</dt><dd><ul>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga1e922082dd8bd1e8ee35c434e5265db0" title="RO method capactiance measurement using CompA+, TimerA0, and WDT+.">TI_CTS_RO_COMPAp_TA0_WDTp_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gae446a3b4b4fae9ddc310f16c6e35dd0c" title="RO method capactiance measurement using CompA+, TimerA0, and SW loop.">TI_CTS_fRO_COMPAp_TA0_SW_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gac90353a892fa46f4a54fc3487a76d196" title="RO method capactiance measurement using CompA+, TimerA0, and SW loop.">TI_CTS_fRO_COMPAp_SW_TA0_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gaee3d2cb350367c310559a21c180100c8" title="RO method capactiance measurement using CompA+, TimerA1, and WDT+.">TI_CTS_RO_COMPAp_TA1_WDTp_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gabd32d26d0dbba19e236eb162d38bb06e" title="RO method capactiance measurement using CompA+, TimerA1, and SW loop.">TI_CTS_fRO_COMPAp_TA1_SW_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gae5d6149207b74131b4bc392f365b612d" title="RC method capactiance measurement using a Pair of GPIO and TimerA0.">TI_CTS_RC_PAIR_TA0_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga8fe59002f5e6fa5d5448164bd8e550a2" title="RO method capactiance measurement with PinOsc IO, TimerA0, and WDT+.">TI_CTS_RO_PINOSC_TA0_WDTp_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga72b6da76104eada779668088564a8430" title="RO method capactiance measurement using PinOsc IO, and TimerA0.">TI_CTS_RO_PINOSC_TA0_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gaef59e8c06155f1c43cae244b18251de6" title="fRO method capactiance measurement using the PinOsc and TimerA0">TI_CTS_fRO_PINOSC_TA0_SW_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga0a5684462a99c2dd499a184c126eacc5" title="RO method capactiance measurement using CompB, TimerA0, and WDTA.">TI_CTS_RO_COMPB_TA0_WDTA_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gafad1fba2a8f584332550236d679e4a12" title="RO method capactiance measurement using CompB, TimerA1, and WDTA.">TI_CTS_RO_COMPB_TA1_WDTA_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gaecc13948e866886f87d75b4392adce3c" title="fRO method capactiance measurement using CompB, TimerA0">TI_CTS_fRO_COMPB_TA0_SW_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gad5db4618e5f80cd423eaad099e82a4c5" title="fRO method capactiance measurement using CompB, TimerA1">TI_CTS_fRO_COMPB_TA1_SW_HAL()</a> /n (1.1)</li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga198af7f2c2f357690661c2496b52d62a" title="fRO method capacitance measurement using PinOsc IO, TimerA0, and TimerA1">TI_CTS_fRO_PINOSC_TA0_TA1_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gae0b030cf02a975082e5ecd0c1b88b6f4" title="RO method capacitance measurement using PinOsc IO, TimerA0, and TimerA1.">TI_CTS_RO_PINOSC_TA0_TA1_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga951edcccb3f14672f56e7aa3750bf1e3" title="RO method measurement using Capacitive Touch IO, TimerA2, and WDTA.">TI_CTS_RO_CSIO_TA2_WDTA_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga7522beb39d941827a07d8059d8e44c7a" title="RO method using Capacitive Touch IO, TimerA2, and TimerA3.">TI_CTS_RO_CSIO_TA2_TA3_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga9d5435f6d98f72c6b906a83113d94830" title="fRO using Capacitive Touch IO, TimerA2, and TimerA3">TI_CTS_fRO_CSIO_TA2_TA3_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gac5ca058c1f56b681af632dc9060aa26c" title="RO method capactiance measurement using CompB, TimerB0, and WDTA.">TI_CTS_RO_COMPB_TB0_WDTA_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga180bbc0acf64fed77ac962e2a989ceee" title="RO method capacitance measurement using CompB, TimerA1, and TimerA0.">TI_CTS_RO_COMPB_TA1_TA0_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gaaca957bcc29dbe5db613faa04efaf5c8" title="fRO method capacitance measurement using CompB, TimerA1, and TimerA0">TI_CTS_fRO_COMPB_TA1_TA0_HAL()</a> /n (1.2)</li>
<li>TI_CTS_RO_PINOSC_TB0_WDTA_HAL()</li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga5575d856074b83cbb06ed70072ec032c" title="RO method capacitance measurement using PinOsc IO, TimerA1, and TimerB0.">TI_CTS_RO_PINOSC_TA1_TB0_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga92dbda4559afc51ad317316f5f36fd98" title="fRO method capacitance measurement using PinOsc IO, TimerA1, and TimerA0">TI_CTS_fRO_PINOSC_TA1_TA0_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gab69f22463ae05330671c99a4e20e611f" title="fRO method capacitance measurement using PinOsc IO, TimerA1, and TimerB0">TI_CTS_fRO_PINOSC_TA1_TB0_HAL()</a> /n (1.3)</li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gaed08f7ccdcff72718ef726dfe3c95a38" title="RO method measurement using Capacitive Touch IO, TimerA0, and WDTA.">TI_CTS_RO_CSIO_TA0_WDTA_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gac615ce38214fa0dae69e910edb02e19b" title="RO method using Capacitive Touch IO, TimerA0, and TimerA1.">TI_CTS_RO_CSIO_TA0_TA1_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gaab7e26be9965fa3134d27d1070730488" title="RO method measurement using Capacitive Touch IO, TimerA0, and RTC.">TI_CTS_RO_CSIO_TA0_RTC_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#gaac0da43a150eb2b1e058fdd08897e0e7" title="fRO method using Capacitive Touch IO, TimerA0, and TimerA1">TI_CTS_fRO_CSIO_TA0_TA1_HAL()</a></li>
<li><a class="el" href="group___c_t_s___h_a_l.html#ga3757b5d08b7ba3f94ea4e38e4234f0be" title="fRO method capactiance measurement using the CSIO and TimerA0">TI_CTS_fRO_CSIO_TA0_SW_HAL()</a> </li>
</ul>
</dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jul 10 2014 11:39:48 for Capacitive Touch Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.3.1
</small></address>
</body>
</html>
